using Godot;

namespace Cirno.Scripts.Components.FSM.Player;

public partial class Cutscene : PlayerStateBase
{
    public override PlayerState StateId => PlayerState.Cutscene;
    [Export]
    private PlayerAnimationProvider _animationProvider;
    
    public override void EnterState()
    {
        
    }

    public override void ExitState()
    {
        _animationProvider.SetAnimationSpeed(Vector2.Zero);
    }

    public override void ProcessState(double delta)
    {
        _animationProvider.SetAnimationSpeed(MainObject.Velocity);
        _animationProvider.SetAnimation(MainObject.Velocity);
    }

    public override void PhysicsProcessState(double delta)
    {
        
    }
}